var hydraExpress = require('hydra-express');
var hydra = hydraExpress.getHydra();

exports.sendResponse = async (frm, id, to, subject) => {
  let message = hydra.createUMFMessage({
    to: 'parser:[post]/sendResponse',
    frm: frm,
    bdy: {id: id, to: to, subject: subject}
  });
  let result = await hydra.makeAPIRequest(message)
  return result;
}

exports.parseEmail = async (frm, id, email) => {
  let message = hydra.createUMFMessage({
    to: 'parser:[post]/parseEmail',
    frm: frm,
    bdy: {token: email: email, id: id}
  });
  let result = await hydra.makeAPIRequest(message)
  return result;
}
